package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.gift.assets.AssetsModel;
import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class AssetMessage extends C3553GuA {
    @c(LIZ = "asset_id")
    public long LIZ;
    @c(LIZ = "panel_display_text")
    public Text LIZIZ;
    @c(LIZ = "show_message")
    public boolean LIZJ;
    @c(LIZ = "show_panel")
    public boolean LIZLLL;
    @c(LIZ = "user")
    public User LJ;
    @c(LIZ = "to_user")
    public User LJFF;
    @c(LIZ = "priority")
    public GiftIMPriority LJI;
    @c(LIZ = "log_id")
    public String LJII;
    @c(LIZ = "asset")
    public AssetsModel LJIIIIZZ;

    static {
        Covode.recordClassIndex(19004);
    }

    public AssetMessage() {
        this.LJJIL = C4453HKs.ASSET_MESSAGE;
    }

    public final boolean LIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }

    public final boolean LIZIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }
}
